<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateBillOfQuantitiesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('bill_of_quantities', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('branch_id')->nullable();
            $table->unsignedInteger('user_id')->nullable();
            $table->unsignedInteger('au_id')->nullable();
            $table->string('sr_no')->nullable();
            $table->string('floor')->nullable();
            $table->string('remarks',500)->nullable();
            $table->string('quotation')->nullable();
            $table->enum('pr_check', ['0','1'])->default('0');
            $table->enum('status', ['Approved','Rejected','Pending','In Process','Waiting'])->default('Pending');
            $table->enum('is_recycle', ['0','1','2'])->default('0');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('bill_of_quantities');
    }
}
